/***********************************************************
 * Copyright (c) 2005 - Rogue Sheep Incorporated
 * All Rights Reserved
 *
 * Description:
 *
 * JavaScript that checks the current document for any text frames
 * that have overset text. User is warned if overset text is found
 * and given a chance to cancel the current action
 *
 *  InDesign : CS 1.0 (v3.x) or CS 2.0 (v4.0)
 *
 ***********************************************************/


hasOversetText = false;

with ( app.activeDocument ) {

	for( frameIndex = 0; frameIndex < textFrames.length; frameIndex++) {

		myTextFrame = textFrames.item( frameIndex );
		
		if ( myTextFrame.overflows ) {
		
			hasOversetText = true;
		
		}

	}	

}

if ( hasOversetText ) {

	var theDialog = app.dialogs.add({name:"InEventScript: Overset Text Warning", canCancel:true});
	
	with ( theDialog ) {
	
		with ( dialogColumns.add() ) {
		
			with ( dialogRows.add() ) {
			
				staticTexts.add
				( 
					{
						staticLabel:"This document contains one or more frames",
					}
				);
			}

			with ( dialogRows.add() ) {
			
				staticTexts.add
				( 
					{
						staticLabel:"with overset text.  Continue this action?",
					}
				);
			}
			
			dialogRows.add();
			
			with ( dialogRows.add() ) {
			
				staticTexts.add
				( 
					{
						staticLabel:"You can prevent this dialog from occuring at",
					}
				);
			}

			with ( dialogRows.add() ) {
			
				staticTexts.add
				( 
					{
						staticLabel:"print by removing the association in the",
					}
				);
			}

			with ( dialogRows.add() ) {
			
				staticTexts.add
				( 
					{
						staticLabel:"InEventScript Palette.",
					}
				);
			}
		}
	}
	
	var theResult = theDialog.show();
	
	if ( theResult == false ) {
		app.eventscriptSuppressAction();
	}

}